# atSDK

- [atSDK Overview](https://docs.atsign.com/atsdk/sdk.md): Get to know Atsign's SDK, the atSDK
- [Get Started](https://docs.atsign.com/atsdk/sdk/get-started.md): Set up the atSDK for your preferred language
- [Authentication](https://docs.atsign.com/atsdk/sdk/onboarding.md): How to authenticate to an atServer
- [atKey Reference](https://docs.atsign.com/atsdk/sdk/atid-reference.md): Learn how to create atKeys for your chosen platform
- [CRUD Operations](https://docs.atsign.com/atsdk/sdk/crud-operations.md): How to do basic CRUD operations on an atServer
- [Notifications](https://docs.atsign.com/atsdk/sdk/events.md): How to send and receive real-time messages
- [Additional Features](https://docs.atsign.com/atsdk/sdk/synchronization.md): Implementation specific features to know about
- [Synchronization](https://docs.atsign.com/atsdk/sdk/synchronization/synchronization.md)
- [Connection Hooks](https://docs.atsign.com/atsdk/sdk/synchronization/connection-hooks.md)
- [atSDK Walkthroughs](https://docs.atsign.com/atsdk/atsdk-walkthroughs.md)
- [Dart atSDK Walkthrough](https://docs.atsign.com/atsdk/atsdk-walkthroughs/atsdk-tutorial.md): Get hands-on with the atSDK. Simple examples to kickstart your development.
- [Using the atSDK with Dart](https://docs.atsign.com/atsdk/atsdk-walkthroughs/atsdk-tutorial/using-the-atsdk-with-dart.md): Some very simple example of using the atSDK to get a feel for what it offers and create building blocks for your larger projects.
- [Get sample code](https://docs.atsign.com/atsdk/atsdk-walkthroughs/atsdk-tutorial/get-sample-code.md)
- [Cutting your Atsign keys](https://docs.atsign.com/atsdk/atsdk-walkthroughs/atsdk-tutorial/cutting-your-atsigns-keys.md): It takes two to tango!
- [Put and Get data asynchronously](https://docs.atsign.com/atsdk/atsdk-walkthroughs/atsdk-tutorial/put-and-get-data-asynchronously.md): You have mail!
- [Send and Receive data synchronously](https://docs.atsign.com/atsdk/atsdk-walkthroughs/atsdk-tutorial/send-and-receive-data-synchronously.md): Send me a txt!
- [Remote Procedure Calls (RPC)](https://docs.atsign.com/atsdk/atsdk-walkthroughs/atsdk-tutorial/rpc.md): spooky actions at a distance
- [atTalk - Encrypted chat client](https://docs.atsign.com/atsdk/atsdk-walkthroughs/atsdk-tutorial/attalk.md): Let's chat!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.atsign.com/atsdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
